;------------------------------------------------------------------------------
 ;    
 IFNDEF terminal_h_defined
 	define terminal_h_defined 1
;------------------------------------------------------------------------------
	MACRO	puts str
		call	__puts
		.db  str
		.db  00h
	ENDM
;------------------------------------------------------------------------------
	MACRO	putsln str
		call	__puts
		.db  str
		.db  0Ah,00h
	ENDM
;------------------------------------------------------------------------------
	MACRO	putc
		push	af
		call	__putc
		pop	af
	ENDM
;------------------------------------------------------------------------------
	MACRO	init_screen
		call __init_screen
	ENDM
;------------------------------------------------------------------------------
	MACRO	done_screen
		call __done_screen
	ENDM
;------------------------------------------------------------------------------
	MACRO	inkey
		call __inkey
	ENDM
;------------------------------------------------------------------------------
	MACRO	inkeyw
		call __inkeyw
	ENDM
;------------------------------------------------------------------------------
	MACRO	init_termio
		call __init_termio
	ENDM
;------------------------------------------------------------------------------
	MACRO	setcurpos x,y
		ld	a,x
		ld	(CON_X_POS),a
		ld	a,y
		ld	(CON_Y_POS),a
	ENDM
;------------------------------------------------------------------------------
	MACRO	set_ink	color
		ld	c,color
		call __set_ink
	ENDM
;------------------------------------------------------------------------------
	MACRO	set_paper color
		ld	c,color
		call __set_paper
	ENDM
;------------------------------------------------------------------------------
 ENDIF	; terminal_h_defined
