;------------------------------------------------------------------------------
;     KOI8-R
;------------------------------------------------------------------------------
	device zxspectrum128
;------------------------------------------------------------------------------
;	     
;------------------------------------------------------------------------------
	include	<terminal_h.asm>
;------------------------------------------------------------------------------
		org 8000h
StartP
;------------------------------------------------------------------------------
	MACRO	header
		call __header
	ENDM
;------------------------------------------------------------------------------
main:
		;   -      ...
		init_termio
.loop:
		header
		; ģ  
.wkey:
		inkeyw
		cp	' '
		jr z,	.exit
		cp	#0D
		jr z,	.loop
		jr	.wkey
		;  .
.exit:
		done_screen
		ret
;------------------------------------------------------------------------------
__header:
		set_ink TCOLOR_GREEN
		set_paper FCOLOR_BLACK
		;
		putsln	"Pentevo TEXT MODE test."
		putsln	" KOI8-R ( )."
		puts	"\n"
		putsln	"  #0A - '\\n'"
		putsln	" #09 - '\\t'.1\t2\t3\t4"
		puts	"\n"
		puts	" : "
		call	__draw_tcolor_tbl
		puts	"\n"
		set_ink TCOLOR_GREEN
		set_paper FCOLOR_BLACK
		puts	" : "
		call	__draw_fcolor_tbl
		puts	"\n"
		set_ink TCOLOR_GREEN
		set_paper FCOLOR_BLACK
		putsln	"SPEACE - . ENTER - ."
		;
		ret
;------------------------------------------------------------------------------
__draw_tcolor_tbl:
		ld	hl,tcolor_tbl
		
		ld	b,#10
.loop:
		push	hl,de,bc
		ld	a,(hl)
		set_ink	a
		puts	"OO"
		pop	bc,de,hl
		inc	hl
		djnz	.loop
		ret
;------------------------------------------------------------------------------
__draw_fcolor_tbl:
		ld	hl,fcolor_tbl
		
		ld	b,#10
.loop:
		push	hl,de,bc
		ld	a,(hl)
		set_paper a
		puts	"OO"
		pop	bc,de,hl
		inc	hl
		djnz	.loop
		ret
;------------------------------------------------------------------------------
tcolor_tbl:
		.db TCOLOR_BLACK,  TCOLOR_BLUE,   TCOLOR_RED,    TCOLOR_MAGENTA
		.db TCOLOR_GREEN,  TCOLOR_CYAN,   TCOLOR_YELLOW, TCOLOR_WHILE
		.db TCOLOR_LBLACK, TCOLOR_LBLUE,  TCOLOR_LRED,   TCOLOR_LMAGENTA
		.db TCOLOR_LGREEN, TCOLOR_LCYAN,  TCOLOR_LYELLOW,TCOLOR_LWHILE

fcolor_tbl:
		.db FCOLOR_BLACK,  FCOLOR_BLUE,   FCOLOR_RED,    FCOLOR_MAGENTA
		.db FCOLOR_GREEN,  FCOLOR_CYAN,   FCOLOR_YELLOW, FCOLOR_WHILE
		.db FCOLOR_LBLACK, FCOLOR_LBLUE,  FCOLOR_LRED,   FCOLOR_LMAGENTA
		.db FCOLOR_LGREEN, FCOLOR_LCYAN,  FCOLOR_LYELLOW,FCOLOR_LWHILE
;------------------------------------------------------------------------------
;	   
;------------------------------------------------------------------------------
	include	<terminal_lib.asm>
;------------------------------------------------------------------------------
EndP
;------------------------------------------------------------------------------
		savehob "txt_tst.$C","txt_tst.C",StartP,EndP-StartP
